#!/usr/bin/env perl

my @systems = qw(cdpu obs pmcu roe rpsu);
#my @files   = qw(st_slow.txt st_superfast.txt rt_slow.txt rt_fast.txt rt_superfast.txt);

my $num_args = $#ARGS + 1;

die "usage: make_system [cdpu|obs|pmcu|roe|rpsu]" unless ($num_args == 0);

my $system = $ARGV[0];

die "system not recognised ($system)" unless (grep(/^$system$/, @systems));

#print "system is $system\n";

my $n = 1;

open(PP, "< packet_parameters.csv") or die "Can't open parameter file: $!";

my $parameter = $system . "$n" . ",";
my $matched = 0;
my $output_string = "";

while($line = <PP>) {
    next if $line =~ m/^\?/;
    next if $line =~ m/^ST/;
    next if $line =~ m/^RT/;

    if ($line =~ m/^$/) {
	if ($matched == 1) {
	    $matched = 0;
	    print "$output_string\n";
	    ++$n;
	    $parameter = $system . "$n,";
	    $output_string = "";
	}
    }

#    print "$line" if $line =~ m/^\?/;
#    print "$line" if $line =~ m/^ST/;
#    print "$line" if $line =~ m/^RT/;
    
#    print "LINE $line" if $line =~ m/^$parameter/;
    if ($line =~ m/^$parameter/) {
	$matched = 1;
	$line =~ s/^$parameter//;
	$output_string .= $line;
    }

#    print "$parameter\n";

}

close(PP);


